| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::RealGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::RealGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::RealGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef bool | ResultT
typedef RT | ResultT

## Public Member Functions
| RealGrammar ()
| RealGrammar ()

## Public Attributes
qi::rule< Iterator, Node(), Skipper > | real
IdentifierGrammar< Iterator, Skipper > | gunit
ph::function< NodeOperations > | op
qi::rule< Iterator, RT(), Skipper > | real

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::RealGrammar< Iterator, Skipper >

Definition at line 113 of file Grammar.h.

## Member Typedef Documentation

template<typename Iterator, typename Skipper>

typedef bool Gaudi::Parsers::RealGrammar< Iterator, Skipper >::ResultT

Definition at line 115 of file Grammar.h.

template<typename Iterator, typename Skipper>

typedef RT Gaudi::Parsers::RealGrammar< Iterator, Skipper >::ResultT

Definition at line 152 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename Skipper>

Gaudi::Parsers::RealGrammar< Iterator, Skipper >::RealGrammar | ( |  | ) |
| inline

Definition at line 117 of file Grammar.h.

117 : RealGrammar::base_type( real )
118 {
119 real = qi::raw[qi::double_][op( qi::_val, qi::_1 )][op( qi::_val, Node::kReal )] >> -qi::char_( 'L' ) >>
120 -( -qi::char_( '*' ) >> gunit[op( qi::_val, qi::_1 )] );
121 }
Gaudi::Parsers::RealGrammar::gunit
IdentifierGrammar< Iterator, Skipper > gunit
Definition: Grammar.h:124
Gaudi::Parsers::RealGrammar::real
qi::rule< Iterator, Node(), Skipper > real
Definition: Grammar.h:123
Gaudi::Parsers::RealGrammar::op
ph::function< NodeOperations > op
Definition: Grammar.h:125
Gaudi::Parsers::Node::kReal
Definition: Node.h:46
template<typename Iterator, typename Skipper>

Gaudi::Parsers::RealGrammar< Iterator, Skipper >::RealGrammar | ( |  | ) |
| inline

Definition at line 153 of file GrammarsV2.h.

153 : RealGrammar::base_type( real ) { real = qi::real_parser<RT>(); }
Gaudi::Parsers::RealGrammar::real
qi::rule< Iterator, Node(), Skipper > real
Definition: Grammar.h:123

## Member Data Documentation

template<typename Iterator, typename Skipper>

IdentifierGrammar<Iterator, Skipper> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::gunit

Definition at line 124 of file Grammar.h.

template<typename Iterator, typename Skipper>

ph::function<NodeOperations> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::op

Definition at line 125 of file Grammar.h.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::real

Definition at line 123 of file Grammar.h.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, RT(), Skipper> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::real

Definition at line 154 of file GrammarsV2.h.

The documentation for this struct was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h
- GaudiKernel/GaudiKernel/GrammarsV2.h